Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_subclass_entry Struct Reference

`#include <internal.h>`

## Data Fields
VALUE | klass
rb_subclass_entry_t * | next

## Detailed Description

Definition at line 248 of file internal.h.

## Field Documentation

VALUE rb_subclass_entry::klass

Definition at line 249 of file internal.h.

Referenced by rb_class_foreach_subclass(), rb_class_remove_from_module_subclasses(), rb_class_remove_from_super_subclasses(), rb_class_subclass_add(), and rb_module_add_to_subclasses_list().

rb_subclass_entry_t* rb_subclass_entry::next

Definition at line 250 of file internal.h.

Referenced by rb_class_foreach_subclass(), rb_class_remove_from_module_subclasses(), rb_class_remove_from_super_subclasses(), rb_class_subclass_add(), and rb_module_add_to_subclasses_list().

The documentation for this struct was generated from the following file:

- internal.h